OpenClover must be replaced

Description

The OpenClover plugin for Gradle is still available, but its maintainer has stopped supporting it (gradle 6.5 is the last supported version). Thus, it does not receive fixes and is not fully compatible with gradle 6.7. It will stop working in 7.x due to deprecated API.

Thus, we have to switch. JaCoCo provides also test coverage checks, is well maintained and used in other larger projects https://www.jacoco.org/

Activity

Show:
Reiner Jung
November 26, 2020, 1:49 PM
Reiner Jung
November 26, 2020, 12:49 PM

Setup is complete. Results look promising in the specific branch build.

Reiner Jung
November 26, 2020, 10:14 AM

Jacoco Jenkins Pipeline documentation
https://www.jenkins.io/doc/pipeline/steps/jacoco/

Assignee

Reiner Jung

Reporter

Reiner Jung

Labels

None

External issue ID

None

Components

Affects versions

Priority

Medium